Update lead
curl --request PATCH \
--url https://api.goyappr.com/leads/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"long_term_context": "<string>",
"metadata": {},
"tags": [
"<string>"
],
"tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.goyappr.com/leads/{id}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"long_term_context": "<string>",
"metadata": {},
"tags": ["<string>"],
"tag_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
long_term_context: '<string>',
metadata: {},
tags: ['<string>'],
tag_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.goyappr.com/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "+972501234567",
"name": "<string>",
"email": "jsmith@example.com",
"source": "api",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"color": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}
],
"long_term_context": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Leads
Update Lead
Send only the fields you want to change. tags or tag_ids replaces all existing tags.
PATCH
/
leads
/
{id}
Update lead
Authorizations
Your Yappr API key (e.g. ypr_live_...). Generate one in the dashboard under Settings → API Keys.
Path Parameters
Body
application/json
Response
200 - application/json
Updated lead
Example:
"+972501234567"
How the lead was created: 'api', 'manual', or 'auto' (from inbound call).
Example:
"api"
Show child attributes
Show child attributes
AI memory for this lead. Injected into the agent's system prompt at call time when lead_memory_enabled is true on the agent.
⌘I